brick-2.9: A declarative terminal user interface library

Safe Haskell | None
Language | Haskell2010

Brick.Widgets.ProgressBar

Contents

- Attributes

Description

This module provides a progress bar widget.

Synopsis

- progressBar :: Maybe String -> Float -> Widget n
- customProgressBar :: Char -> Char -> Maybe String -> Float -> Widget n
- progressCompleteAttr :: AttrName
- progressIncompleteAttr :: AttrName

# Documentation

progressBar Source #

Arguments

:: Maybe String | The label. If specified, this is shown in the center of the progress bar.
-> Float | The progress value. Should be between 0 and 1 inclusive.
-> Widget n |

Draw a progress bar with the specified (optional) label and progress value. This fills available horizontal space and is one row high.

customProgressBar Source #

Arguments

:: Char | Character to fill the completed part.
-> Char | Character to fill the incomplete part.
-> Maybe String | The label. If specified, this is shown in the center of the progress bar.
-> Float | The progress value. Should be between 0 and 1 inclusive.
-> Widget n |

Draw a progress bar with the specified (optional) label, progress value and custom characters to fill the progress. This fills available horizontal space and is one row high. Please be aware of using wide characters in Brick, see Wide Character Support and the TextWidth class

# Attributes

progressCompleteAttr :: AttrName Source #

The attribute of the completed portion of the progress bar.

progressIncompleteAttr :: AttrName Source #

The attribute of the incomplete portion of the progress bar.